$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.82.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.82.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'B254C1C0E9773607DE14B81188C79362B90174CA45A1BAE4AA461BF4FA031CA0'
  checksumType = 'sha256'
  checksum64 = 'B254C1C0E9773607DE14B81188C79362B90174CA45A1BAE4AA461BF4FA031CA0'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.0.82-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
